# GimpUi.prop_file_chooser_button_new_with_dialog

    function prop_file_chooser_button_new_with_dialog(config: GObject.Object, property_name: String, dialog: Gtk.Widget): Gtk.Widget {
        // Gjs wrapper for gimp_prop_file_chooser_button_new_with_dialog()
    }

Creates a Gtk.FileChooserButton to edit the specified path property.

The button uses dialog as it's file-picking window. Note that dialog must be a Gtk.FileChooserDialog (or subclass) and must not have %GTK_DIALOG_DESTROY_WITH_PARENT set.

Note that Gtk.FileChooserButton implements the Gtk.FileChooser interface; you can use the Gtk.FileChooser API with it.

Since 2.4

config

  object to which property is attached.

property_name

  name of path property.

dialog

  the Gtk.FileChooserDialog widget to use.

Returns

  A new Gtk.FileChooserButton.